$nav-height:30px;
:root{
	--nav-height:#{$nav-height};
}
nav.menu{
	--font-size:20px;
	@include flex(row);
	background-color:map.get($default-theme, ui-color);
	background-color:var(--ui-color);
	color:map.get($default-theme, ui-font);
	color:var(--ui-font);
	&, & > *{
		height:$nav-height;
		height:var(--nav-height);
		line-height:$nav-height;
		line-height:var(--nav-height);	
	}
	& > *{
		flex-grow: 0;
		margin-right:1rem;
		&:last-child{
			margin-right:0;
		}
	}
	*{
		font-family: $big-font !important;
		font-family: var(--big-font) !important;
	}
	a:not(.text){
		color:map.get($default-theme, ui-font);
		color:var(--ui-font);
		text-decoration: none;
		&:hover{
			color:map.get($default-theme, ui-font);
			color:var(--ui-font);
			text-decoration: none;	
		}	
	}
}